ros-humble-rqt (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-rqt (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rqt (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 31 Aug 2021 00:00:00 -0000

ros-humble-rqt (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-rqt (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Apr 2021 00:00:00 -0000

ros-humble-rqt (1.0.7-1jammy) jammy; urgency=high

  * 1.0.7 (#243 <https://github.com/ros-visualization/rqt/issues/243>)
  * Remove Dirk from maintainers in package.xml files per request. (#236 <https://github.com/ros-visualization/rqt/issues/236>)
  * Update maintainers for the crystal-devel branch (#234 <https://github.com/ros-visualization/rqt/issues/234>)
  * Contributors: Michael Jeronimo, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-rqt (1.0.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 05 May 2020 00:00:00 -0000

ros-humble-rqt (1.0.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 30 Sep 2019 00:00:00 -0000

ros-humble-rqt (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-humble-rqt (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 00:00:00 -0000

ros-humble-rqt (1.0.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 04 Feb 2019 00:00:00 -0000

ros-humble-rqt (1.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Dec 2018 00:00:00 -0000

ros-humble-rqt (1.0.0-1jammy) jammy; urgency=high

  * Moving rqt to pure python (#169 <https://github.com/ros-visualization/rqt/issues/169>) (#170 <https://github.com/ros-visualization/rqt/issues/170>)
  * Changing meta package to ament package (#146 <https://github.com/ros-visualization/rqt/issues/146>)
  * Contributors: Mike Lautman, brawner

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-humble-rqt (0.5.0-1jammy) jammy; urgency=high

  * unify version number before next release
  * fixed matplot when using arrays, merged some code from matplot and plot
  * modified print/qDebug/qWarning outputs to be more consistent
  * moved update of publisher plugin comboboxes into worker thread
  * code formatting according to pep8
  * modified semantic of plugin manifest, renamed file names according to PEP 8, refactored relative imports according to PEP 328
  * major renaming and refactoring of all packages
  * renamed packages and moved into separate stacks (refactoring not yet completed)
  * Contributors: Dirk Thomas, Dorian Scholz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-humble-rqt (0.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-humble-rqt (0.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 01 Apr 2016 15:51:00 -0000

ros-humble-rqt (0.3.0-1jammy) jammy; urgency=high

  * Merge pull request #106 <https://github.com/ros-visualization/rqt/issues/106> from ros-visualization/qt5
    switch to Qt5
  * switch to Qt5
  * remove obsolete email address
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 01 Apr 2016 14:19:00 -0000

ros-humble-rqt (0.2.14-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-humble-rqt (0.2.13-1jammy) jammy; urgency=high

  * "0.2.13"
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-humble-rqt (0.2.12-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-humble-rqt (0.2.11-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-humble-rqt (0.2.10-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-humble-rqt (0.2.9-1jammy) jammy; urgency=high

  * update maintainer
  * Updated metapackage description.
  * Conform to REP-0127
  * Correct spelling/grammer error
  * rqt metapackage maintainer added
  * rqt) email addr changed
  * rqt) package.xml elaborated so that wiki page ros.org/wiki/rqt can show pointer to relevant pkgs.
  * Added an original author that was missing.
  * get maintainer status for rqt infrastructure
  * Contributors: Dirk Thomas, Isaac Saito

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-humble-rqt (0.2.8-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-humble-rqt (0.2.7-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 31 Dec 2012 00:00:00 -0000

ros-humble-rqt (0.2.6-1jammy) jammy; urgency=high

  * missing author tag
  * remove other plugins after duplicating repo
  * Contributors: Aaron Blasdel, Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-humble-rqt (0.2.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 19:11:00 -0000

ros-humble-rqt (0.2.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 01:13:00 -0000

ros-humble-rqt (0.2.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 00:24:00 -0000

ros-humble-rqt (0.2.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 18:29:00 -0000

ros-humble-rqt (0.2.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 17:47:00 -0000

ros-humble-rqt (0.2.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 17:39:00 -0000

ros-humble-rqt (0.1.7-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Dec 2012 16:17:00 -0000

ros-humble-rqt (0.1.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Dec 2012 14:43:00 -0000

ros-humble-rqt (0.1.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 08 Dec 2012 00:00:00 -0000

ros-humble-rqt (0.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 20 Nov 2012 00:00:00 -0000

ros-humble-rqt (0.1.3-1jammy) jammy; urgency=high

  * removed qt_gui_core, moved rqt to root
  * renamed rqt_tf_graph plugin to rqt_tf_tree
  * rqt_console: not in formatting and save adding character bug
  * rqt_console: file extension defaulting
  * rqt_console: fixes for ini file loading when changing between perspectives, code formatting
  * rqt_console: added todos
  * rqt_console: code style
  * updated plugin descriptions
  * rqt_console: function reshuffle, documentation and commenting
  * catch exception instance with as instead of comma for Pzthon 3.x compatibility
  * rqt_logger_level: code style
  * Added TF plugin like rosrun tf view_frames
  * revert part of commit fecb8d81d
    rosmake -t replaces make test
  * Fixed saving against filterproxymodel, various maintainability edits, ui prettying up, error in location filtering fixed, reorganized source files, regular expression escaping fixed
  * rqt_console: Re-implemented filter save/load with in the new filter system
  * Fixed file load, it now properly emits a RowsInserted signal after it is finished
  * Added Custom Filter for filtering multiple types of data at once
  * Reenabled and redid code for rightclick menus in new filtering scheme
  * Fixed Sorting/Highlighting conflict. They function together now
  * Major overhaul of the message filtering system.
  * rqt_console: Modified the configuration panel to allow setting of messagelimits and removed the logger level interface/code
  * rqt_logger_level: Initial commit. port of Rxloggerlevel
  * rqt_console: Added automatic stream pause on file load
  * Support for pretty print message browser, accessable via double click or right click menu
  * Implemented Message Limiting, added some exception handling/raising
  * Rightclick Menu reformat
  * UI renaming and rightclick menu functionality, added tr functions for easy translation, added raise statements, general class and file Reorganization and readability changes, changed how the exclude/include items work for non message filters, column filter data now displayed in tooltip instead of header, row deletion by block, file header changed for rqt msg files, changed some methods to static, Message object now accepts ros Log messages directly.
  * time function added, some commenting and reformatting
  * added a mutex and buffered inserting to fix responsiveness problem, fixed time formatting and representation issues
  * Reorganization of MainWindow widget code into main_window_widget module
  * fixed rosservice not contactable error, logger level refresh button now clears items properly, module Reorganization, File load issue fixed
  * Header files properly display filters again, initial message # display changed
  * fixed matplot when using arrays, merged some code from matplot and plot
  * filter editors now populate with current filter, time filters now handle Msecs, folded filter code into Proxy_model.
  * Merge branch 'master' of https://kforge.ros.org/visualization/ros_gui
  * reenable matplot, added check for matplotlib version, fixed window title of matplot
  * implemented QSortFilterProxyModel sorting
  * Reformat of time display to include Msecs, config dialog now modal, # of messages now displayed on a label instead of statustip,  fixes large speed issue by breaking "sort on insert", Next push will contain a fix for this break without the speed hit, replaced QDebugs with QWarnings
  * modified print/qDebug/qWarning outputs to be more consistent
  * load/save/pause visual overhaul
  * use different settings files for qt_gui and rqt_gui
  * removed debug code
  * Fixed filesave format issue, boolean logic paren matching issue, combodialog is now multiselect
  * updated review status
  * matplot plugin: disabled as the current matplotlib packages doe not support API version 2 which is used in ROS GUI
  * matplot plugin: added exception when using non-pyqt bindings
  * matplot plugin: work around dateutil bug
  * fixed slot name
  * fixed use of None object in console plugin
  * moved update of publisher plugin comboboxes into worker thread
  * fixed bug in matplot plugin
  * Merge branch 'master' of https://kforge.ros.org/visualization/ros_gui
  * Message save/load functionality added, custom comboboxinputdialog, misc small fixes
  * removed quit action from rviz menu bar and made menu bar non-native (#5484 <https://github.com/ros-visualization/rqt/issues/5484>)
  * created rightclick menu and functionality for easily excluding/including currently selected items, increased speed of boolean filtering code
  * fix unit test failing mock.list not iterable
  * enhancement ticket Ticket #5469 <https://github.com/ros-visualization/rqt/issues/5469>: enable 'make test' target for rqt stack and packages
  * rqt_console: Addressed some speed issues in message received callback. Removed various print statements. Re-enabled sorting on columns
  * Added boolean not (^) to boolean filters, AND and OR changed to & and | for ease of viewing
  * rt_console added saving filters on close, status tooltip of filtered/total messages, reenabled sorting, redo of timedialog for easier use, reworked the boolean text filtering to make it easier to change the characters used.
  * code style only of rqt_console
  * Fixed ui file naming issue
  * Added initial version of rqt_console
  * removed specific Qt version CMake < 2.8.5 can only not handle full versions (including patch) and the exact required version is not obvious
  * code formatting according to pep8
  * more updates to API doc
  * fixed overriding Python bindings in rqt app
  * refactored rest of rqt plugins to inherit from rqt_gui_py Plugin instead of QWidget
  * modified some rqt plugins to inherit from rqt_gui_py Plugin
  * fixed rqt_gui_py Plugin
  * code formatting according to pep8
  * code formatting according to pep8
  * added explicit rqt plugin class (for API doc only)
  * updated API doc
  * modified added publishers to not be enabled by default
  * changed some labels
  * options moved to second ui row
  * colorizing stacks as a checkbox and implemented in plugin
  * show packages even if their stack could not be determined (dry vs wet)
  * modified detection of main filename to work with package-relative imports in subprocesses
  * more documentation and better error msg
  * bugfix carry arg over in recursion
  * treating edges with same labels as siblings as a parameter
  * fixed unit tests after code moved
  * added .gitignore files
  * explicitly name public/supported API
  * make rviz plugin more robust
  * Fix subwindow title
  * fixed matplot imports
  * replaced argument names for save/restore settings of a plugin
  * added missing const in cpp classes, reformated methods in cpp::PluginContext to camel case
  * modified tag name in qtgui plugin manifest
  * modified semantic of plugin manifest, renamed file names according to PEP 8, refactored relative imports according to PEP 328
  * removed comment from description (which goes into wiki)
  * major renaming and refactoring of all packages
  * renamed packages and moved into separate stacks (refactoring not yet completed)
  * Contributors: Aaron Blasdel, Dirk Thomas, Dorian Scholz, Thibault Kruse

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 19 Nov 2012 00:00:00 -0000


